OGRE-Next: OgreX11EGLSupport.h File Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Typedefs | Enumerations | Functions
OgreX11EGLSupport.h File Reference
`#include "OgreEGLSupport.h"`

## Classes
class | Display
class | NotPointerAtom
class | Ogre::X11EGLSupport
class | Rotation
struct | StrangeData
class | Visual
struct | XClientMessageEvent
struct | XClientMessageEventData
class | XErrorEvent
struct | XEvent
class | XRRScreenConfiguration
struct | XRRScreenSize
struct | XSetWindowAttributes
struct | XSizeHints
struct | XTextProperty
struct | XVisualInfo
struct | XWindowAttributes
struct | XWMHints

## Namespaces
namespace | Ogre
| bswapNN may be defined as macros in <sys/endian.h> or <sys/bswap.h>

## Macros
#define | AllocNone 0
#define | ClientMessage 0
#define | CurrentTime 0
#define | CWBackingStore 0
#define | CWBackPixel 0
#define | CWBorderPixel 0
#define | CWColormap 0
#define | CWEventMask 0
#define | CWOverrideRedirect 0
#define | CWSaveUnder 0
#define | FocusChangeMask 0
#define | InputHint 0
#define | InputOutput 0
#define | NormalState 0
#define | NotUseful 0
#define | StateHint 0
#define | StructureNotifyMask 0
#define | SubstructureNotifyMask 0
#define | SubstructureRedirectMask 0
#define | USPosition 0
#define | VisibilityChangeMask 0
#define | VisualIDMask 0
#define | Window NativeWindowType

## Typedefs
typedef NotPointerAtom * | Atom
typedef int(* | XErrorHandler) (Display *, XErrorEvent *)

## Enumerations
enum | X11Bool { False , True }

## Functions
Window | DefaultRootWindow (Display *nativeDisplayType)
int | DefaultScreen (NativeDisplayType nativeDisplayType)
Visual * | DefaultVisual (Display *nativeDisplayType, int screen)
int | DisplayHeight (Display *nativeDisplayType, int screen)
char * | DisplayString (NativeDisplayType nativeDisplayType)
int | DisplayWidth (Display *nativeDisplayType, int screen)
XSizeHints * | XAllocSizeHints ()
XWMHints * | XAllocWMHints ()
void | XCloseDisplay (Display *nativeDisplayType)
int | XCreateColormap (Display *nativeDisplayType, Window nativeWindowType, int visual, int allocNone)
Window | XCreateWindow (Display *nativeDisplayType, Window nativeWindowType, int left, int top, int width, int height, int dummy1, int depth, int inputOutput, int visual, int mask, XSetWindowAttributes *xSetWindowAttributes)
void | XDestroyWindow (Display *nativeDisplayType, Window nativeWindowType)
const char * | XDisplayName (char *name)
void | XFlush (Display *nativeDisplayType)
void | XFree (void *data)
XVisualInfo * | XGetVisualInfo (Display *nativeDisplayType, int mask, XVisualInfo *info, int *n)
bool | XGetWindowAttributes (Display *nativeDisplayType, Window nativeWindowType, XWindowAttributes *xWindowAttributes)
Atom | XInternAtom (Display *nativeDisplayType, char *name, X11Bool isTrue)
void | XMapWindow (Display *nativeDisplayType, Window nativeWindowType)
void | XMoveWindow (Display *nativeDisplayType, Window nativeWindowType, int left, int top)
Display * | XOpenDisplay (int num)
bool | XQueryExtension (Display *nativeDisplayType, char *name, int *dummy0, int *dummy2, int *dummy3)
void | XQueryTree (Display *nativeDisplayType, Window nativeWindowType, Window *root, Window *parent, Window **children, unsigned int *nChildren)
void | XResizeWindow (Display *nativeDisplayType, Window nativeWindowType, int left, int top)
int | XRRConfigCurrentConfiguration (XRRScreenConfiguration *config, Rotation *rotation)
int | XRRConfigCurrentRate (XRRScreenConfiguration *config)
short * | XRRConfigRates (XRRScreenConfiguration *config, int sizeID, int *nRates)
XRRScreenSize * | XRRConfigSizes (XRRScreenConfiguration *config, int *nSizes)
void | XRRFreeScreenConfigInfo (XRRScreenConfiguration *config)
XRRScreenConfiguration * | XRRGetScreenInfo (Display *nativeDisplayType, Window window)
void | XRRSetScreenConfigAndRate (Display *nativeDisplayType, XRRScreenConfiguration *config, Window window, int size, Rotation rotation, int mode, int currentTime)
void | XSendEvent (Display *nativeDisplayType, Window nativeWindowType, int dummy1, int mask, XEvent *xevent)
XErrorHandler | XSetErrorHandler (XErrorHandler xErrorHandler)
void | XSetWMProperties (Display *nativeDisplayType, Window nativeWindowType, XTextProperty *titleprop, char *dummy1, char *dummy2, int num, XSizeHints *sizeHints, XWMHints *wmHints, char *dummy3)
void | XSetWMProtocols (Display *nativeDisplayType, Window nativeWindowType, Atom *atom, int num)
void | XStringListToTextProperty (char **prop, int num, XTextProperty *textProp)
int | XVisualIDFromVisual (Visual *v)

## Macro Definition Documentation

## ◆ AllocNone

#define AllocNone 0

## ◆ ClientMessage

#define ClientMessage 0

## ◆ CurrentTime

#define CurrentTime 0

## ◆ CWBackingStore

#define CWBackingStore 0

## ◆ CWBackPixel

#define CWBackPixel 0

## ◆ CWBorderPixel

#define CWBorderPixel 0

## ◆ CWColormap

#define CWColormap 0

## ◆ CWEventMask

#define CWEventMask 0

## ◆ CWOverrideRedirect

#define CWOverrideRedirect 0

## ◆ CWSaveUnder

#define CWSaveUnder 0

## ◆ FocusChangeMask

#define FocusChangeMask 0

## ◆ InputHint

#define InputHint 0

## ◆ InputOutput

#define InputOutput 0

## ◆ NormalState

#define NormalState 0

## ◆ NotUseful

#define NotUseful 0

## ◆ StateHint

#define StateHint 0

## ◆ StructureNotifyMask

#define StructureNotifyMask 0

## ◆ SubstructureNotifyMask

#define SubstructureNotifyMask 0

## ◆ SubstructureRedirectMask

#define SubstructureRedirectMask 0

## ◆ USPosition

#define USPosition 0

## ◆ VisibilityChangeMask

#define VisibilityChangeMask 0

## ◆ VisualIDMask

#define VisualIDMask 0

## ◆ Window

#define Window NativeWindowType

Referenced by DefaultRootWindow(), CocoaWindowDelegate::initWithNSWindow:ogreWindow:, OgreGL3PlusView::setOgreWindow:, XCreateColormap(), XCreateWindow(), XDestroyWindow(), XGetWindowAttributes(), XMapWindow(), XMoveWindow(), XQueryTree(), XResizeWindow(), XRRGetScreenInfo(), XRRSetScreenConfigAndRate(), XSendEvent(), XSetWMProperties(), and XSetWMProtocols().

## Typedef Documentation

## ◆ Atom

typedef NotPointerAtom* Atom

## ◆ XErrorHandler

typedef int(* XErrorHandler) (Display *, XErrorEvent *)

## Enumeration Type Documentation

## ◆ X11Bool

enum X11Bool

Enumerator
False |
True |

## Function Documentation

## ◆ DefaultRootWindow()

Window DefaultRootWindow | ( | Display * | nativeDisplayType | ) |

References Window.

## ◆ DefaultScreen()

int DefaultScreen | ( | NativeDisplayType | nativeDisplayType | ) |

## ◆ DefaultVisual()

Visual * DefaultVisual | ( | Display * | nativeDisplayType,
|  | int | screen )

## ◆ DisplayHeight()

int DisplayHeight | ( | Display * | nativeDisplayType,
|  | int | screen )

## ◆ DisplayString()

char * DisplayString | ( | NativeDisplayType | nativeDisplayType | ) |

## ◆ DisplayWidth()

int DisplayWidth | ( | Display * | nativeDisplayType,
|  | int | screen )

## ◆ XAllocSizeHints()

XSizeHints * XAllocSizeHints | ( |  | ) |

## ◆ XAllocWMHints()

XWMHints * XAllocWMHints | ( |  | ) |

## ◆ XCloseDisplay()

void XCloseDisplay | ( | Display * | nativeDisplayType | ) |

## ◆ XCreateColormap()

int XCreateColormap | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | int | visual,
|  | int | allocNone )

References Window.

## ◆ XCreateWindow()

Window XCreateWindow | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | int | left,
|  | int | top,
|  | int | width,
|  | int | height,
|  | int | dummy1,
|  | int | depth,
|  | int | inputOutput,
|  | int | visual,
|  | int | mask,
|  | XSetWindowAttributes * | xSetWindowAttributes )

References Window.

## ◆ XDestroyWindow()

void XDestroyWindow | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType )

References Window.

## ◆ XDisplayName()

const char * XDisplayName | ( | char * | name | ) |

## ◆ XFlush()

void XFlush | ( | Display * | nativeDisplayType | ) |

## ◆ XFree()

void XFree | ( | void * | data | ) |

## ◆ XGetVisualInfo()

XVisualInfo * XGetVisualInfo | ( | Display * | nativeDisplayType,
|  | int | mask,
|  | XVisualInfo * | info,
|  | int * | n )

## ◆ XGetWindowAttributes()

bool XGetWindowAttributes | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | XWindowAttributes * | xWindowAttributes )

References Window.

## ◆ XInternAtom()

Atom XInternAtom | ( | Display * | nativeDisplayType,
|  | char * | name,
|  | X11Bool | isTrue )

## ◆ XMapWindow()

void XMapWindow | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType )

References Window.

## ◆ XMoveWindow()

void XMoveWindow | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | int | left,
|  | int | top )

References Window.

## ◆ XOpenDisplay()

Display * XOpenDisplay | ( | int | num | ) |

## ◆ XQueryExtension()

bool XQueryExtension | ( | Display * | nativeDisplayType,
|  | char * | name,
|  | int * | dummy0,
|  | int * | dummy2,
|  | int * | dummy3 )

## ◆ XQueryTree()

void XQueryTree | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | Window * | root,
|  | Window * | parent,
|  | Window ** | children,
|  | unsigned int * | nChildren )

References Window.

## ◆ XResizeWindow()

void XResizeWindow | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | int | left,
|  | int | top )

References Window.

## ◆ XRRConfigCurrentConfiguration()

int XRRConfigCurrentConfiguration | ( | XRRScreenConfiguration * | config,
|  | Rotation * | rotation )

## ◆ XRRConfigCurrentRate()

int XRRConfigCurrentRate | ( | XRRScreenConfiguration * | config | ) |

## ◆ XRRConfigRates()

short * XRRConfigRates | ( | XRRScreenConfiguration * | config,
|  | int | sizeID,
|  | int * | nRates )

## ◆ XRRConfigSizes()

XRRScreenSize * XRRConfigSizes | ( | XRRScreenConfiguration * | config,
|  | int * | nSizes )

## ◆ XRRFreeScreenConfigInfo()

void XRRFreeScreenConfigInfo | ( | XRRScreenConfiguration * | config | ) |

## ◆ XRRGetScreenInfo()

XRRScreenConfiguration * XRRGetScreenInfo | ( | Display * | nativeDisplayType,
|  | Window | window )

References Window.

## ◆ XRRSetScreenConfigAndRate()

void XRRSetScreenConfigAndRate | ( | Display * | nativeDisplayType,
|  | XRRScreenConfiguration * | config,
|  | Window | window,
|  | int | size,
|  | Rotation | rotation,
|  | int | mode,
|  | int | currentTime )

References Window.

## ◆ XSendEvent()

void XSendEvent | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | int | dummy1,
|  | int | mask,
|  | XEvent * | xevent )

References Window.

## ◆ XSetErrorHandler()

XErrorHandler XSetErrorHandler | ( | XErrorHandler | xErrorHandler | ) |

## ◆ XSetWMProperties()

void XSetWMProperties | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | XTextProperty * | titleprop,
|  | char * | dummy1,
|  | char * | dummy2,
|  | int | num,
|  | XSizeHints * | sizeHints,
|  | XWMHints * | wmHints,
|  | char * | dummy3 )

References Window.

## ◆ XSetWMProtocols()

void XSetWMProtocols | ( | Display * | nativeDisplayType,
|  | Window | nativeWindowType,
|  | Atom * | atom,
|  | int | num )

References Window.

## ◆ XStringListToTextProperty()

void XStringListToTextProperty | ( | char ** | prop,
|  | int | num,
|  | XTextProperty * | textProp )

## ◆ XVisualIDFromVisual()

int XVisualIDFromVisual | ( | Visual * | v | ) |